﻿using System;
using System.Drawing;
using DTG.Spreadsheet;

namespace CreateArabicDocument
{
    class Program
    {
        static void Main(string[] args)
        {
            // Create new workbook.
            ExcelWorkbook wbook = new ExcelWorkbook();
            // Add new worksheet.
            wbook.Worksheets.Add("Sheet1");

            // Write user data.
            wbook.Worksheets[0].Columns[0].Width = 20;
            wbook.Worksheets[0].Columns[4].Width = 200;
            wbook.Worksheets[0].Cells["A1:E1"].Style.Font.Bold = true;
            wbook.Worksheets[0].Cells["A1:E1"].SetBordersStyles(TypeOfMultipleBorders.All, TypeOfBorderLine.Medium, Color.Black);
            wbook.Worksheets[0].Cells[0, 0].Value = "ت";
            wbook.Worksheets[0].Cells[0, 1].Value = "الجامعة";
            wbook.Worksheets[0].Cells[0, 2].Value = "كلية معهد";
            wbook.Worksheets[0].Cells[0, 3].Value = "القسم";
            wbook.Worksheets[0].Cells[0, 4].Value = "الاسم الرباعي واللقب";
            wbook.Worksheets[0].Cells[1, 0].Value = "1";
            wbook.Worksheets[0].Cells[1, 1].Value = "الاسلامية";
            wbook.Worksheets[0].Cells[1, 2].Value = "كلية اصول الدين";
            wbook.Worksheets[0].Cells[1, 3].Value = "التفسير";
            wbook.Worksheets[0].Cells[1, 4].Value = "جاسم الحاج جاسم محمد الدليمي";

            // Set view option shows columns from right to left.
            wbook.Worksheets[0].ViewOptions.RightToLeft = true;

            // Write .xls file.
            wbook.WriteXLS(@"..\..\..\ArabicText.xls");

            // Write .xlsx file.
            wbook.WriteXLSX(@"..\..\..\ArabicText.xlsx");

            //Open specified file in MS Excel.
            System.Diagnostics.Process.Start(@"..\..\..\ArabicText.xlsx");
        }
    }
}
